EDIT - feature request #5714

In Original Source Type dropdown show Primary Taxonomic Source first
04/15/2016 10:11 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 1:30 hour
Target version: Release 4.5

Severity: normal

Description

...followed by Primary Media Source and then followed by others alphabetically. Currently order seems to be according to the enum.
At the end we should have Other followed by Unknown.
We may also think about a Comparator defining the order which can also be used for #3185

If possible for media sources, Primary Media Source should be first.

Associated revisions

Revision 0c7¢9656 - 01/06/2017 02:36 PM - Patrick Plitzner
fix #5714 Add possibility for adding a comparator to EnumComboElement

e for Sources always have PrimaryTaxonomicSource or PrimaryMediaSource on top depending on IdentifiableSource
Revision 1b0d0Oec1 - 01/18/2017 05:54 PM - Patrick Plitzner
ref #5714 Fix ordering of source types

® order by key instead of message
e always have either taxonomic or media source as first and the other as second

Revision 46360ec1 - 02/08/2017 02:11 PM - Patrick Plitzner

ref #5714 The last two terms are always "Other" followed by "Unknown"

History

#1 - 09/02/2016 02:59 PM - Andreas Miiller
- Description updated
- Priority changed from New to Highest

#2 - 01/05/2017 01:56 PM - Andreas Miiller
- Description updated
- Target version changed from Unassigned CDM tickets to Release 4.5

- Estimated time set to 1:30 h

#3 - 01/06/2017 02:38 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|0c7c9656704a352a2bdfea434d6b703245177¢65.

#4 - 01/06/2017 02:38 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

#5-01/17/2017 11:51 PM - Andreas Miller

- Status changed from Resolved to Feedback
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/0c7c9656704a352a2bdfea434d6b703245177c65

- Assignee changed from Andreas Miiller to Patrick Plitzner

Only Primary Taxonomic Source is on top, but Primary Media Source is not yet second and also no alphabetic ordering of the other types.

#6 - 01/17/2017 11:52 PM - Andreas Miiller

... Also "Other" is not in the expected order.

#8 - 01/17/2017 11:55 PM - Andreas Miiller

Have you checked if we can reuse / combine the Comparator developed for #31857?

#9 - 01/18/2017 05:59 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Miiller

Andreas Muller wrote:

Have you checked if we can reuse / combine the Comparator developed for #3185?
The other comparator is used for comparing the sources and not the terms themselves. There may be a small chance for refactoring but for now
| would rather close this ticket if everything is fine.

#10 - 01/19/2017 02:02 PM - Andreas Miiller

- Private changed from Yes to No

#11 - 01/19/2017 11:23 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Patrick Plitzner

Andreas Muller wrote:

... Also "Other" is not in the expected order.

This is still an open issue, see description: "At the end we should have Other followed by Unknown."

#12 - 02/08/2017 02:13 PM - Patrick Plitzner
- Assignee changed from Patrick Plitzner to Andreas Mliller

- % Done changed from 50 to 80

Fixed order of "Other" and "Unknown"

#13 - 02/16/2017 11:44 PM - Andreas Miiller
- Status changed from Feedback to Closed

- Assignee changed from Andreas Miiller to Patrick Plitzner

Seems to be correct now

#14 - 02/16/2017 11:44 PM - Andreas Miiller
- % Done changed from 80 to 100

03/20/2024 22


http://www.tcpdf.org

